al_ustr_get(3)

NAME

al_ustr_get - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    int32_t al_ustr_get(const ALLEGRO_USTR *ub, int pos)

DESCRIPTION

Return the code point in ub beginning at byte offset pos.

On success returns the code point value. If pos was out of bounds (e.g. past the end of the string), return -1. On an error, such as an invalid byte sequence, return -2.

SEE ALSO

al_ustr_get_next(3), al_ustr_prev_get(3)